centos下安装Vmware-tools时出现的问题

今天装了centos,想共享一个文件,需要安装Vmware-tools。

正常的步骤:

安装Vmware-tools

1、挂载VMwareTools光驱。虚拟机选项栏中选【虚拟机】-->【安装vmware tools

 

2、解压。将光驱中VMware Tools-XXXXXX.tar.gz到指定文件夹

3、安装。运行脚本vmware-install.pl

 

然后就出现了错误了:

1、gcc错误

    Searching for GCC...
    The path "" is not valid path to the gcc binary.



2、内核头文件(kernel-devel)错误

    Searching for a valid kernel header path...
    The path "" is not a valid path to the XXXXXX kernel headers.

 【有个方便快捷的办法是执行一下语句:

yum -y update
yum -y install kernel-headers kernel-devel gcc

 reboot (安装完后要重启一下,很重要!)

 

上面的命令搞定后,再进行vmtools的安装。原本错误的地方变成了这样:

 

Searching for GCC...
Detected GCC binary at "/bin/gcc".
The path "/bin/gcc" appears to be a valid path to the gcc binary.
Would you like to change it? [no] 


Searching for a valid kernel header path...
Detected the kernel headers at 
"/lib/modules/3.10.0-229.4.2.el7.x86_64/build/include".
The path "/lib/modules/3.10.0-229.4.2.el7.x86_64/build/include" appears to be a
valid path to the 3.10.0-229.4.2.el7.x86_64 kernel headers.
Would you like to change it? [no] 

 

 

安装完成后可以看到提示:

The configuration of VMware Tools 9.9.2 build-2496486 for Linux for this 
running kernel completed successfully.

然后设置虚拟机共享目录后即可在/mnt/hgfs下看到共享目录

首先来排除下问题

解决办法:(注意顺序)

1、确保Kernel、Kernel-devel、Kernel-headers版本一致

2、确认Gcc安装

1、确保KernelKernel-develKernel-headers版本一致

查询系统中全部的内核RPM包:

版本一致,不需要更改,需要版本不一致则需要更改

 例如:

[root@localhost ~]# rpm -qa|grep kernel

kernel-headers-3.10.0-862.9.10.el7.x86_64

abrt-addon-kerneloops-2.1.11-50.el7.centos.x86_64

kernel-tools-3.10.0-862.el7.x86_64

kernel-3.10.0-862.el7.x86_64

kernel-devel-3.10.0-862.el7.x86_64

kernel-tools-libs-3.10.0-862.el7.x86_64

删除版本不一致的包

[root@localhost ~]# yum remove kernel-headers-3.10.0-862.9.10.el7.x86_64

安装新的kernel-headers包

rpm -ivh kernel-headers-3.10.0-862.el7.x86_64(从系统iso镜像中提取)      -ivh=显示文件列表+指令执行过程+安装时列出标记

2、确认Gcc安装

gcc -v      出现大段描述则已经安装

 

如果gcc没有安装的话,安装gcc,确保网络通畅

yum -y install gcc      -y表示自动确认

 。。。。。然后,我就死在了这里,因为我的yum没办法用。。。。。

当我yum -y install gcc 的时候

 

我百度了一下解决办法, 进入到这个网址http://mirrors.163.com/.help/centos.html,下载自己所需要的repo文件

将下载好的文件放入/etc/yum.repos.d/里面。记得备份哦

然后执行一下命令

yum clean all
yum makecache

然后就ok。这样就可以安装gcc了。

执行语句:

yum -y install gcc      -y表示自动确认

就会出现好下载,直接让他自己下载。

gcc安装完毕,这样我们就可以直接安装Vmware-tools了。

 

posted @ 2019-04-03 15:44  迷途的小码农  阅读(3703)  评论(0编辑  收藏  举报